Using MakeGen
=============


1. Introduction
---------------

MakeGen is a tool for building a makefile from the source tree made by
MethodGen.


2. Building the MakeFile
------------------------

MakeGen is a command line tool and has the following parameters :-

   makegen -v -l <type> -m <makefile_name> -s <dir_of_sources>

   -v - verbose output
   -l - type of linkage (lib=libfile link=linker)
   -p - the project name
   -m - name of makefile to produce (must have leaf "makefile")
   -f - name of viafile to produce  (must have leaf "ViaFile")
   -s - directory containing sources

To make the makefile for ToolboxLib you would issue a command line argument
similar to the following :-

  makegen -v -l libfile -s ToolboxLib:sources -m toolboxlib:sources.makefile 
           -f Toolboxlib:sources.viafile -p ToolboxLib
           
This will generate the approriate makefile and viafile.


3. Editing of the Makefile
--------------------------

The makefile generated by will require some subsequent editing before it can
be used for building.  Near to the start of the makefile a block of objects
is written, 'OBJS'.  This block is too large for amu to cope with so you will
need to split it into smaller blocks.  After that has done you will need to
append the main target to look at the other blocks aswell.
